cURL
curl --request PUT \
--url 'https://api.precallai.com/api/v1/segment/update?id={id}' \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"description": "<string>"
}
'import requests
url = "https://api.precallai.com/api/v1/segment/update?id={id}"
payload = {
"name": "<string>",
"description": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>'})
};
fetch('https://api.precallai.com/api/v1/segment/update?id={id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"description": "<string>"
}{
"error": 123,
"message": "<string>"
}Segments
Update Segment
Update a segment
PUT
/
segment
/
update?id=
{id}
cURL
Authorizations
Path Parameters
The ID of the segment to update
Body
application/json
Segment to update
⌘I

